utl::spi Namespace Reference

Abstract base class for spi bus. More...

## Enumerations

enum | bitOrder { bitOrder::LSB_First =0x01, bitOrder::MSB_First =0x80 }
enum | cpol { cpol::LOW =0, cpol::HIGH }
enum | cpha { cpha::LOW =0, cpha::HIGH }

## Detailed Description

Abstract base class for spi bus.

## Enumeration Type Documentation

## bitOrder

enum utl::spi::bitOrder

strong

SPI implementation bit order

Enumerator
LSB_First | Most significant first.
MSB_First | Less significant first.

Definition at line 40 of file spi.h.

## cpha

enum utl::spi::cpha

strong

SPI implementation Clock Phase

Enumerator
LOW | LOW.
HIGH | HIGH.

Definition at line 54 of file spi.h.

## cpol

enum utl::spi::cpol

strong

SPI implementation Clock Polarity

Enumerator
LOW | LOW.
HIGH | HIGH.

Definition at line 47 of file spi.h.